#!/bin/bash
#this script is useful to execute the program from the command line
video=$1
outvideo=$2
method=$3
sigma=$4
dithering=$5

mkdir tmp
input_raw_video=tmp/video.raw
output_raw_video=tmp/output_video.raw

#extract info from video
width=$(avprobe -v error -show_streams  $video| grep width | cut -d'=' -f 2)
height=$(avprobe -v error -show_streams  $video| grep height | cut -d'=' -f 2)
framerate=$(avprobe -v error -show_streams  $video| grep avg_frame_rate | cut -d'=' -f 2)
nframes=$(avprobe -v error -show_streams  $video| grep nb_frames | cut -d'=' -f 2)
size=${width}x${height}

echo Converting $video to $input_raw_video
avconv -v error -i $video -f rawvideo -pix_fmt rgb24 -y $input_raw_video
echo

echo Midway Equalization for video $input_raw_video to $output_raw_video
bin/midway_video $input_raw_video $width $height $nframes -o $output_raw_video -m $method -s $sigma $dithering -v 
echo

echo Converting $output_raw_video to $outvideo
avconv -v error -f rawvideo -pix_fmt rgb24 -video_size $size -framerate $framerate -i $output_raw_video  -pix_fmt yuv420p -y $outvideo
echo

rm -R tmp/
